## live-manual 3.0~b2

=== debian/changelog ===
live-manual (1:3.0~b2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding build-conflicts to locales-all, as locales-all provides locales
    but woudn't work with the current locales generation in rules.

  [ Ben Armstrong ]
  * Referencing and cross-referencing prebuilt images available for
    download with configurations used to build them.
  * Adding new section 'Using web live image builder'.
  * Including non-free prebuilt image instructions as an example.
  * Clarifying web builder operational status and invalid options caveat.
  * Mentioning prebuilt images in front matter as a topic of particular
    interest to end-users.
  * Fixing proper English heading.
  * Listing only architectures that we fully support.

  [ Daniel Baumann ]
  * Using overwritable variable definitions in toplevel makefile.
  * Dropping example for #include functionality in package lists, this
    feature is no longer useful since there are no global package lists
    anymore.

  [ Ben Armstrong ]
  * Reordering closing remarks to end, as it segues better with rest of
    manual (especially for external linkage to this section).

  [ Daniel Baumann ]
  * Adding build-depends to texlive-generic-recommended for pdf output.
  * Sorting build-depends.
  * Correcting seperators in top-level makefile.
  * Prefixing appendix file with appendix prefix in its filename.
  * Removing prefix user from examples filename.
  * Adding references to live-tools in the list of terms.
  * Dropping pre-squeeze notes about live-initramfs in live-boot and live-
    config entries in the terms list.
  * Updating build-depends listed for users contributing to live-manual.
  * Using German as an example for how to build specific languages of the
    manual.
  * Slightly correcting a bit of grammar in the translations section.
  * Slightly correcting a bit of grammar in the project section.
  * Using same spelling for 'superuser' consistently.
  * Tiding system requirements for the kernel version.
  * Dropping aptitude example on how to install live-build, doesn't serve
    any purpose.
  * Dropping -rfakeroot from dpkg-buildpackage call, not needed anymore
    since long, long time.
  * Using plural when refering to live-boot and live-config sources in
    installation section.
  * Consistently using 'manpage' instead of 'man page' through the whole
    manual.
  * Some tiny nitpicking in user_basics.
  * Use xorriso to burn image in example instructions rather than wodim.
  * Including virtualbox-qt package in the example instruction to install
    virtualbox, otherwise users end up with no graphical frontend.
  * Extending virtualbox section about guest additions to include the dkms
    package as well, just the x11 driver package without the module will
    not be enough.
  * Correcting lb clean command when switching to build a netboot image,
    in netboot we'll have a different initrd configuration hence the
    chroot stage needs to be rebuild too.
  * Correcting outdated netboot binary type specification in example lb
    config call.
  * Mentioning that other network filesystems than NFS are available in
    netboot section.
  * Dropping xz suffix from default netboot tarball names, by default the
    tarballs are not compressed anymore as it has no advantage except
    longer build time anyway.
  * Don't use the term magic in connection with live-build, it's not magic
    after all.
  * Dropping reference to a grub floppy image in the old svn repository we
    don't use nor have anymore.
  * Dropping section about manually creating files for pxe-booting VMware
    Player, not needed anymore as it's supported there out of the box.
  * Rewording sentence about comparing live-build to debhelper a bit.
  * Updating example lb config call for netboot.
  * Using Swiss debian mirror as example mirror.
  * Using 8 spaces as tab indentiation in git config example.
  * Dropping reference to no longer existing chroot_patches command.
  * Also enabling non-free in example about how to use multiple archive
    areas with lb config.
  * Reword explenation about default mode.
  * Correcting 'superseding' spelling typo.
  * Correcting indenting of custom mirror example code.
  * Harmonizing custom binary mirror example.
  * Adding note about APT preferences files in config/archives.
  * Dropping reference to obsolete include feature within package lists.
  * Using same package list filename for the gnome-desktop list as in
    live-images, for consistency.
  * Using German task packages as example.
  * Updating kernel pinning example from experimental to 3.7 package
    names.
  * Dropping requirement for custom kernels to have a suffix, it's not
    required by live-build.
  * Using same package list filename for the lxde-desktop list as in live-
    images, for consistency.
  * Dropping templates directory from config tree 'ascii-art picture' when
    illustrating local includes.
  * Updating suffix for preseed files in config/preseed.
  * Correcting syntax error in user-setup configuration example for live-
    config.
  * Using 'filename' instead of 'file name'.
  * Using a more general example for two different persistence labels.
  * Correcting spelling of progress-linux.
  * Correcting sed example code to set syslinux timeout.
  * Updating a bunch of tiny issues in the debian-installer section.

  [ Ben Armstrong ]
  * Using less tortured sentence structure.

  [ Daniel Baumann ]
  * Reverting back to 'man page', 'manpage' apparently is no proper
    english.
  * Adding explenation why lb clean has to be used rather than lb clean
    --binary in user_basics when switching to build a netboot image from
    an existing build directory.
  * Completing list of repositories with public writable branches.
  * Dropping kernel version as a requirement for bug reports, this dates
    back to when we had unionfs and squashfs as out-of-tree modules.
  * Sorting list of requested information when people report bugs.


=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	mkdir -p debian/build/locale
	localedef -f UTF-8 -i en_US debian/build/locale/en_US.UTF-8

	LOCPATH=$(CURDIR)/debian/build/locale LC_ALL=en_US.UTF-8 dh_auto_build

override_dh_auto_clean:
	dh_auto_clean

	rm -rf debian/build

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/live-manual/COPYING
	rm -f debian/tmp/usr/share/doc/live-manual/_sisu/image/.empty
	rm -f debian/tmp/usr/share/doc/live-manual/pdf/live-manual.landscape.pdf
	rm -f debian/tmp/usr/share/doc/live-manual/pdf/live-manual.portrait.pdf

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_compress:
	dh_compress -X.html -X.odt

override_dh_install:
	dh_install --fail-missing

## live-manual 3.0~b3

=== Makefile ===
# Makefile

## live-manual(7) - Documentation
## Copyright (C) 2006-2013 Debian Live Project <debian-live@lists.debian.org>
##
## live-manual comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES := en $(shell cd manual/po && ls)

FORMATS := epub html odf pdf txt

DEBUG := 0

all: build

test:
	@echo "Checking for syntax errors... [not implemented yet - FIXME]"
	@echo "Checking for spelling errors... [not implemented yet - FIXME]"

	@echo "Checking the integrity of po files..."
	for POFILE in manual/po/*/*; \
	do \
		msgfmt --check --output-file=/dev/null $${POFILE}; \
	done

tidy:
	# Removing useless whitespaces at EOL
	for FILE in manual/en/*.ssm manual/en/*.ssi; \
	do \
		sed -i -e 's|[ \t]*$$||' $${FILE}; \
	done

build: clean
	#FIXME: do a proper dependency-based build
	#FORMATS = epub html odf pdf txt
	#...
	#%.pdf: $(sisu_sources)
	#	sisu-pdf -v live-manual.ssm
	#etc.

	@# FIXME: sisu-concordance sisu-pg sisu-sqlite

	cd $(CURDIR)/manual; \
	sisu --configure
	for LANGUAGE in $(LANGUAGES); \
	do \
		for FORMAT in $(FORMATS); \
		do \
			cd $(CURDIR)/manual; \
			sisu-$${FORMAT} -v $${LANGUAGE}/live-manual.ssm; \
			if [ "$${FORMAT}" = "html" ] ; \
			then \
			    for FILE in ../build/manual/html/*.$${LANGUAGE}.html ../build/manual/html/live-manual/*.$${LANGUAGE}.html; \
			    do \
				    bin/fix-sisu-html.rb $${FILE}; \
				    ([ $(DEBUG) -gt 0 ] || rm -f $${FILE}~); \
			    done; \
			fi ; \
		done; \
	done; \


autobuild: build
	cd build/manual && rm -rf manifest toc.html; \
	set +e; for LANGUAGE in $(LANGUAGES); \
	do \
		FROMDIR=$(CURDIR)/manual/$${LANGUAGE}; \
		TODIR=$(CURDIR)/build/manual; \
		cp $${FROMDIR}/index.html.in $${TODIR}; \
		sed -e "s|@DATE_BUILD@|$(shell LC_ALL=C date -R)|" \
		    -e "s|@DATE_CHANGE@|$(shell LC_ALL=C git log | grep -m1 Date | awk -FDate: '{ print $2 }' | sed -e 's|  ||g')|" \
		$${TODIR}/index.html.in > $${TODIR}/index.$${LANGUAGE}.html; \
		rm $${TODIR}/index.html.in; \
	done

commit: tidy test
	$(MAKE) -C manual rebuild

	@if grep -qs fuzzy manual/po/*/*; \
	then \
		echo "" ; \
		echo "There are $(shell grep -w 'fuzzy' manual/po/*/* | wc -l) fuzzy strings. You can run 'make fixfuzzy' to fix them." ; \
	fi
	@echo
	@echo "In order to find untranslated strings type 'make translate'."

	@echo
	@echo "You may now proceed...please do:"
	@echo
	@echo "  * git add ."
	@echo "  * git commit -m \"Your commit message.\""
	@echo "  * git push "

install:
	rm -rf $(CURDIR)/build/manual/manifest
	rm -f $(CURDIR)/build/manual/index.html
	rm -f $(CURDIR)/build/manual/toc.html

	mkdir -p $(DESTDIR)/usr/share/doc/live-manual
	cp -a COPYING $(CURDIR)/build/manual/* $(DESTDIR)/usr/share/doc/live-manual

uninstall:
	rm -rf $(DESTDIR)/usr/share/doc/live-manual

clean:
	rm -rf build
	rm -f manual/en/*~
	rm -f manual/po/*/*~
	rm -f manual/po/*/*.mo

distclean: clean
	rm -rf build

rebuild: distclean build

fixfuzzy:
	@if grep -qs fuzzy manual/po/*/*; \
	then \
		./manual/bin/find-fuzzy.sh ; \
	else \
		echo "There are no fuzzy strings to translate." ; \
	fi

check:
	@./manual/bin/po-integrity-check.sh

translate:
	@./manual/bin/find-untranslated.sh

=== manual/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

DEBUG=0
PO4A_FLAGS=

ifeq ($(DEBUG),1)
    PO4A_FLAGS=-d
endif

ifeq ($(DEBUG),2)
    PO4A_FLAGS=-d -v
endif

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for FILE in en/*.ssm en/*.ssi; \
	do \
		echo "[type: text] $${FILE} \$$lang:\$$lang/$$(basename $${FILE})" >> po4a.cfg; \
	done

	echo "[type: xhtml] en/index.html.in \$$lang:\$$lang/index.html.in" >> po4a.cfg

update:
	@./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-manual $(PO4A_FLAGS) po4a.cfg

clean:
	rm -f po/*/*.po~
	rm -rf ../build

distclean: clean
	rm -f po4a.cfg
	rm -rf $(LANGUAGES)

rebuild: distclean update build
unfuzzy:
	@./bin/unfuzzy-dates.sh

=== debian/changelog ===
live-manual (1:3.0~b3-1) unstable; urgency=low

  [ skizzhg ]
  * Updating user_customization-packages, italian translation.

  [ Ben Armstrong ]
  * Adding 'live medium' term.
  * Correcting singular 'medium' for 'media' where necessary.

  [ Thomas Vincent ]
  * Applying patches sent to the debian-l10n-french list, thanks to Thomas
    Vincent <thomas@vinc-net.fr>.

  [ chals ]
  * Updating files under manual.

  [ skizzhg ]
  * Updating italian translation.

  [ Daniel Baumann ]
  * Dropping dpkg compression level.

  [ chals ]
  * Updating the dates in live-manual.
  * Translating the definition of the term 'live medium' into Spanish.
  * Translating the definition of the term 'live medium' into Catalan.
  * Fixing one formatting error in the French translation.
  * Using lowercase for codenames wheezy and sid, French translation.
  * Specifying the use of lowercase when using code names in the style
    guide.
  * Updating appendix_style-guide files from the original English text.
  * Fixing fuzzy strings in several files, Spanish translation.

  [ skizzhg ]
  * Updating about_manual, italian translation.

  [ chals ]
  * Fixing fuzzy strings in the Catalan translation.
  * Fixing one typo in about_manual.ssi.
  * Updating about_manual files from the English text.
  * Fixing 'fuzzy', Catalan translation.
  * Fixing 'fuzzy', Spanish translation.

  [ skizzhg ]
  * Updating italian translation.
  * Deleting extraneous file (poo) added by mistake.
  * Updating project_contributing, italian translation.
  * Improving a sentence in user_customization-packages, italian
    translation.
  * Updating user_basics, italian translation.
  * Nothing to do, just removing fuzzy about s/media/medium/, italian
    translation.
  * Updating user_customization-runtime, italian translation.
  * Updating examples, italian translation.

  [ chals ]
  * Updating the dates in all languages.
  * Fixing 'fuzzy' strings in the French translation.
  * Translating the term 'live medium' into French.
  * Unfuzzing dates in the translations.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Feb 2013 00:38:33 +0100

=== debian/control ===
Source: live-manual
Section: doc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders:
 Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
 Carlos Zuferri <chals@altorricon.com>,
 Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 9), ruby, ruby-nokogiri
Build-Depends-Indep:
 locales, po4a, sisu-complete (>= 3), texlive-generic-recommended
Build-Conflicts: locales-all
Standards-Version: 3.9.4
Homepage: http://live.debian.net/devel/live-manual/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
Vcs-Git: git://live.debian.net/git/live-manual.git

Package: live-manual-all
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends}, live-manual-epub, live-manual-html, live-manual-odf,
  live-manual-pdf, live-manual-txt
Description: Debian Live Documentation (metapackage)
 live-manual contains the documentation for the Debian Live project.
 .
 This package is a metapackage depending on all available output formats.

Package: live-manual-epub
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live Documentation (epub)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the epub output.

Package: live-manual-html
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live Documentation (html)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the html output.

Package: live-manual-odf
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live Documentation (odf)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the odf output.

Package: live-manual-pdf
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live Documentation (pdf)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the pdf output.

Package: live-manual-txt
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Debian Live Documentation (txt)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the txt output.

## live-manual 3.0.1

=== debian/changelog ===
live-manual (1:3.0.1-1) unstable; urgency=low

  * Using ~/.ssh/keys rather than ~/.ssh/identity.d in ssh examples to not
    imply that the used subdirectory is an automatically used conf.d
    directory by ssh.
  * Renaming live-manual-all metapackage to live-manual for proper
    squeeze-to-wheezy upgrade.
  * Making depends of live-manual versioned.

 -- Daniel Baumann <daniel@debian.org>  Thu, 21 Feb 2013 23:57:09 +0100

live-manual (1:3.0.0-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Synchronising syslinux for the final syslinux theme handling changes
    in live-build.

  [ chals ]
  * Updating Catalan translation in respect to bootloader configuration.
  * Updating Spanish translation in respect to bootloader configuration.
  * Updating French translation in respect to bootloaders.

  [ skizzhg ]
  * Updating user_customization-binary, italian translation.

  [ ndangi francis ]
  * Improving the French translation of the term 'live medium'.

  [ chals ]
  * Fixing fuzzy dates.

  [ Daniel Baumann ]
  * Removing incomplete German, Brazilian Portuguese, and Romanian
    translations for release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Feb 2013 18:14:30 +0100

## live-manual 3.0.2

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 SHELL := sh -e
 
-LANGUAGES := en $(shell cd manual/po && ls)
+LANGUAGES := en ca es fr it
 
 FORMATS := epub html odf pdf txt

=== manual/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-LANGUAGES = $(shell cd po && ls)
+LANGUAGES = ca es fr it
 
 DEBUG=0
 PO4A_FLAGS=

=== debian/changelog ===
live-manual (1:3.0.2-1) unstable; urgency=low

  [ chals ]
  * Adding more information about how to use several persistence volumes
    for different use cases.
  * Fixing grammar mistake in user_customization-runtime.ssi.
  * Fixing punctuation in one string in user_customization-runtime.ssi.
  * Updating dates in live-manual files.
  * Updating translation files from the original English ones.
  * Updating Catalan translation.
  * Updating Spanish translation.
  * Updating French translation.
  * Updating Italian translation, thanks to skizzhg <skizzhg@gmx.com>.

 -- Daniel Baumann <daniel@debian.org>  Tue, 30 Apr 2013 07:25:53 +0200

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,16 @@
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
 Vcs-Git: git://live.debian.net/git/live-manual.git
 
-Package: live-manual-all
+Package: live-manual
 Section: metapackages
 Architecture: all
 Depends:
- ${misc:Depends}, live-manual-epub, live-manual-html, live-manual-odf,
-  live-manual-pdf, live-manual-txt
+ ${misc:Depends}, live-manual-epub (>= ${source:Version}),
+ live-manual-html (>= ${source:Version}),
+ live-manual-odf (>= ${source:Version}), live-manual-pdf (>= ${source:Version}),
+ live-manual-txt (>= ${source:Version})
+Conflicts: live-manual-all
+Replaces: live-manual-all
 Description: Debian Live Documentation (metapackage)
  live-manual contains the documentation for the Debian Live project.
  .

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	rm -f debian/tmp/usr/share/doc/live-manual/pdf/live-manual.portrait.pdf
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
 
 override_dh_compress:
 	dh_compress -X.html -X.odt

## live-manual 4.0~alpha12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-manual(7) - Documentation
-## Copyright (C) 2006-2013 Debian Live Project <debian-live@lists.debian.org>
+## Copyright (C) 2006-2014 Live Systems Project <debian-live@lists.debian.org>
 ##
 ## live-manual comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it
@@ -10,11 +10,21 @@
 
 SHELL := sh -e
 
-LANGUAGES := en ca es fr it
+LANGUAGES := en $(shell cd manual/po && ls)
 
 FORMATS := epub html odf pdf txt
 
 DEBUG := 0
+
+ifeq ($(PROOF),1)
+	LANGUAGES=en
+	FORMATS=html-scroll
+endif
+
+ifeq ($(PROOF),2)
+	LANGUAGES=en
+	FORMATS=pdf-portrait
+endif
 
 all: build
 
@@ -52,7 +62,7 @@
 		for FORMAT in $(FORMATS); \
 		do \
 			cd $(CURDIR)/manual; \
-			sisu-$${FORMAT} -v $${LANGUAGE}/live-manual.ssm; \
+			sisu-$${FORMAT} --no-manifest --verbose $${LANGUAGE}/live-manual.ssm; \
 			if [ "$${FORMAT}" = "html" ] ; \
 			then \
 			    for FILE in ../build/manual/html/*.$${LANGUAGE}.html ../build/manual/html/live-manual/*.$${LANGUAGE}.html; \
@@ -64,9 +74,8 @@
 		done; \
 	done; \
 
-
 autobuild: build
-	cd build/manual && rm -rf manifest toc.html; \
+	cd build/manual; \
 	set +e; for LANGUAGE in $(LANGUAGES); \
 	do \
 		FROMDIR=$(CURDIR)/manual/$${LANGUAGE}; \
@@ -87,7 +96,7 @@
 		echo "There are $(shell grep -w 'fuzzy' manual/po/*/* | wc -l) fuzzy strings. You can run 'make fixfuzzy' to fix them." ; \
 	fi
 	@echo
-	@echo "In order to find untranslated strings type 'make translate'."
+	@echo "There are $(shell manual/bin/count-untranslated-strings.sh) untranslated strings. You can run 'make translate' to find them." ; \
 
 	@echo
 	@echo "You may now proceed...please do:"
@@ -97,10 +106,7 @@
 	@echo "  * git push "
 
 install:
-	rm -rf $(CURDIR)/build/manual/manifest
 	rm -f $(CURDIR)/build/manual/index.html
-	rm -f $(CURDIR)/build/manual/toc.html
-
 	mkdir -p $(DESTDIR)/usr/share/doc/live-manual
 	cp -a COPYING $(CURDIR)/build/manual/* $(DESTDIR)/usr/share/doc/live-manual

=== manual/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-LANGUAGES = ca es fr it
+LANGUAGES = $(shell cd po && ls)
 
 DEBUG=0
 PO4A_FLAGS=
@@ -40,7 +40,7 @@
 		exit 1; \
 	fi
 
-	po4a --keep 0 --no-backups --package-name live-manual $(PO4A_FLAGS) po4a.cfg
+	po4a --keep 0 --package-name live-manual --package-version $(shell cat ../VERSION) $(PO4A_FLAGS) po4a.cfg
 
 clean:
 	rm -f po/*/*.po~
@@ -51,5 +51,3 @@
 	rm -rf $(LANGUAGES)
 
 rebuild: distclean update build
-unfuzzy:
-	@./bin/unfuzzy-dates.sh

=== debian/changelog ===
live-manual (1:4.0~alpha12-1) unstable; urgency=low

  [ chals ]
  * Adding brief note about the 'lb' wrapper for clarification.
  * Updating the overview of tools chapter, introducing 'lb init'.
  * Adding live-config-sysvinit to automatic formatting.
  * Adding 'lb init' to the examples.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 26 Apr 2014 08:21:34 +0200

live-manual (1:4.0~alpha11-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Also adding utf-8 charset definition in top-level html index page.

  [ chals ]
  * Removing 'texlive-generic-recommended' from Build-Depends-Indep, since
    'sisu-complete' already pulls it in now.
  * Removing 'texlive-generic-recommended' from about_manual.ssi.
  * Adding information about fast proofing functionality.
  * Changing 'en' for 'de' for coherence since the text refers to
    translations.

  [ Martin Erik Werner ]
  * Fixing minor typo 'is like to'->'is likely to'

  [ chals ]
  * Updating .po files from the English texts.
  * Updating Catalan translation.
  * Updating Spanish translation.
  * Updating dates and copyright years in live-manual.ssm.* files.
  * Updating copyright year in Catalan translation.
  * Updating copyright year in Spanish translation.
  * Updating copyright year in French translation.
  * Updating copyright year in German translation.
  * Updating copyright year in Japanese translation.
  * Updating header of five po files, Japanese translation.

  [ victory ]
  * [manual:ja] Sync Japanese translation.

  [ chals ]
  * Adding missing translation of 'e.g' into Spanish in about_manual.
  * Updating dates in live-manual files.
  * Using proper middle dot in the Catalan translation.

  [ Daniel Baumann ]
  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 22:07:40 +0200

live-manual (1:4.0~alpha10-1) experimental; urgency=low

  [ chals ]
  * Adding variable 'project' to live-manual.ssm.
  * Making 'project' easier to debrand for derivatives.
  * Updating translation files from the English ones.
  * Updating Spanish translation of several files.
  * Updating Catalan translation of several files.
  * Updating French translation of several files.
  * Fixing several fuzzy strings in the German translation.

  [ victory ]
  * [manual:ja] Sync and unifying term.

  [ chals ]
  * Fixing error in copyright name, French translation.
  * Updating dates in remaining live-manual files.
  * Dropping skin because sisu does not use it anymore since v.4.0.0.
  * Updating sisu's configuration file.
  * Removing call to skin-debian-live in live-manual.ssm.
  * Updating live-manual files in respect to the skin deletion in several
    languages.
  * Fixing fuzzy strings in live-manual.ssm and live-manual.ssm.po,
    Italian translation.
  * Fixing fuzzy strings in live-manual.ssm and live-manual.ssm.po,
    Brazilian Portuguese translation.
  * Fixing fuzzy strings in live-manual.ssm and live-manual.ssm.po,
    Romanian translation.
  * Updating Build-Depends-Indep to sisu-complete (>= 4.2.5-2).

  [ victory ]
  * [ja] Improve wording.

  [ Daniel Baumann ]
  * Updating current year in misc strings to 2014.
  * Correcting coding style in misc files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 03 Jan 2014 20:03:59 +0100

live-manual (1:4.0~alpha9-1) experimental; urgency=low

  [ Ben Armstrong ]
  * Clarifying when lb clean --purge is needed.

  [ chals ]
  * Adding a newline at the end of the count untranslated strings script.
  * Adding monospace formatting to three options.
  * Updating live-manual dates.
  * Updating user_overview files with the original English text.
  * Updating Catalan translation.
  * Updating French translation.
  * Updating Spanish translation.

  [ Daniel Baumann ]
  * Excluding epub files from compression in the binary packages (Closes:
    #730370).
  * Dropping leaked in commentary fields in po file headers.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 25 Nov 2013 19:27:12 +0100

live-manual (1:4.0~alpha8-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Rewrapping control file.

  [ chals ]
  * Adding initial files of Japanese translation, thanks to victory
    <victory.deb@gmail.com>.
  * Adding Japanese to index.html.

  [ victory ]
  * New Japanese translations translated by victory.

  [ chals ]
  * Updating dates in several live-manual files.
  * Updating Japanese manual from the translated .po files.

  [ victory ]
  * live-manual.ssm.po: unfuzzy :published:.

  [ Daniel Baumann ]
  * Correcting spelling of VirtualBox when not refering to the package
    name virtualbox.

  [ chals ]
  * Updating dates in all live-manual files.
  * Updating translation files from English.
  * Updating Spanish translation.
  * Updating French translation.
  * Updating Catalan translation.
  * Removing obsolete flag '--no-backups'.
  * Adding option '--package-version' for the headers of the pot files.

  [ victory ]
  * Sync Japanese translation files.

  [ nodiscc ]
  * Adding section about .list.chroot_{live,install} package lists.

  [ chals ]
  * Updating dates in live-manual.

  [ nodiscc ]
  * Updating translation files from English.

  [ chals ]
  * Adding 'fixme' tag to user_customization-packages files.

  [ Daniel Baumann ]
  * Updating to standards version 3.9.5.
  * Updating references to hook files for live-build 4.0~alpha29.

  [ chals ]
  * Translating the style guide into French.
  * Updating French translation.
  * Updating Spanish translation.

  [ victory ]
  * Sync Japanese translation files.

  [ chals ]
  * Updating Catalan translation.
  * Updating names of pdf files to correct their URLs in the autobuild.
  * Using long option '--verbose' instead of the short one in sisu
    command.
  * Adding '--no-manifest' option to sisu command, since live-manual does
    not use the manifest.
  * Updating autobuild target in Makefile.
  * Updating install target in Makefile.
  * Updating dates in live-manual files.


=== debian/control ===
Source: live-manual
Section: doc
Priority: optional
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders:
 Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
 Carlos Zuferri <chals@altorricon.com>,
 Daniel Baumann <mail@daniel-baumann.ch>,
Build-Depends:
 debhelper (>= 9),
 ruby,
 ruby-nokogiri,
Build-Depends-Indep:
 locales,
 po4a,
 sisu-complete (>= 4.2.5-2),
Build-Conflicts: locales-all
Standards-Version: 3.9.5
Homepage: http://live-systems.org/devel/live-manual/
Vcs-Browser: http://live-systems.org/gitweb/?p=live-manual.git
Vcs-Git: git://live-systems.org/git/live-manual.git

Package: live-manual
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 live-manual-epub (>= ${source:Version}),
 live-manual-html (>= ${source:Version}),
 live-manual-odf (>= ${source:Version}),
 live-manual-pdf (>= ${source:Version}),
 live-manual-txt (>= ${source:Version}),
Description: Live Systems Documentation (metapackage)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package is a metapackage depending on all available output formats.

Package: live-manual-epub
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Live Systems Documentation (epub)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the epub output.

Package: live-manual-html
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Live Systems Documentation (html)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the html output.

Package: live-manual-odf
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Live Systems Documentation (odf)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the odf output.

Package: live-manual-pdf
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Live Systems Documentation (pdf)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the pdf output.

Package: live-manual-txt
Architecture: all
Depends: ${misc:Depends}
Provides: live-manual
Description: Live Systems Documentation (txt)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the txt output.

## live-manual 4.0.1

=== debian/changelog ===
live-manual (1:4.0.1-1) unstable; urgency=low

  [ victory ]
  * Unfuzzy translations.
  * [manual:ja] Translated user_customization-packages.

  [ Daniel Baumann ]
  * Updating sisurc for search form.
  * Adding entry for full text search form in toplevel index page.

  [ Carlos Zuferri ]
  * Updating live-manual dates.
  * Updating index.html files from the original English sources.
  * Fixing verb agreement in respect to grammatical number in the Catalan,
    Spanish and French translations.
  * Removing plural form in the word 'command' in user_basics.
  * Fixing broken link in user_overview.
  * Revising the description of the 'lb config' command in user_overview..

  [ victory ]
  * [manual:ja] Update index page and user_customization-runtime.

  [ Carlos Zuferri ]
  * Updating several translation files from the English texts.
  * Updating French translation.
  * Updating Catalan translation.
  * Updating Spanish translation.

  [ victory ]
  * [manual:ja] Translate user_installation, unfuzzy user_basics.
  * [manual] Change scheme for {www|lists}.debian.org to https.
  * Change scheme for translations.
  * [manual:ja] Translate user_customization-runtime and user_overview.

  [ Ben Armstrong ]
  * Improving DEBUG>=1 by reducing spurious diffs caused by Nokogiri
    parsing.
  * Making fix-sisu-html.rb responsible for workfile cleanup.

  [ Carlos Zuferri ]
  * Adding 'info' target so that processes are not run in a subshell while
    building the manual.
  * Dropping hyphenated form in 'pre-built' for consistency with the rest
    of the manual.
  * Updating dates in live-manual.
  * Updating translation files of user_basics from the English file.
  * Updating Spanish translation.
  * Updating Catalan translation.
  * Updating French translation.

  [ victory ]
  * [manual] Unfuzzy Japanese translation.

  [ Ralph Amissah ]
  * Add search submission form to Manual summary page.
  * Configuration (sisurc.yml) correct database name, and minor clean-up.
  * Configuration (sisurc.yml), html, suppress creation of link to "sisu
    manifest".
  * Configuration (sisu_document_make), html, add link back to "home"
    pages.

  [ Carlos Zuferri ]
  * Linking to 'manual' instead of to an specific version of it.

  [ Daniel Baumann ]
  * Updating to standards version 3.9.6.

  [ Carlos Zuferri ]
  * Removing call to fix-sisu-html.rb script from Makefile.

  [ Daniel Baumann ]
  * Dropping incomplete German translation.

  [ Carlos Zuferri ]
  * Removing python3 from requirements for the time being.
  * Fixing number agreement.

  [ victory ]
  * Sync and unfuzzy Japanese manual.

  [ Carlos Zuferri ]
  * Fixing typo 'end-user'.
  * Adding note on the naming convention of the images according to the
    architecture of the build system.
  * Updating dates in live-manual files.
  * Updating translation files from the original English texts.
  * Updating Spanish translation of several files.
  * Updating Catalan translation of several files.
  * Updating French translation of several files.
  * Fixing a typo in the Catalan translation.

  [ victory ]
  * Sync and unfuzzy Japanese manual.

  [ Daniel Baumann ]
  * Dropping way-to-incomplete Romanian translation.
  * Dropping way-to-incomplete Brazilian Portuguese translation.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 25 Oct 2014 15:08:22 +0200

live-manual (1:4.0.0-1) unstable; urgency=low

  * Dropping lb init descriptions for now by folding them together with lb
    config descriptions, lb init will be in jessie+1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Aug 2014 21:44:46 +0200

live-manual (1:4.0~alpha13-1) unstable; urgency=low

  [ victory ]
  * Unfuzzy translations for b5edd22 and 1806f90; No translation work
    needed as the changes are commands and setting.

  [ chals ]
  * Updating Spanish translation.
  * Updating Catalan translation.
  * Updating French translation.
  * Adding link to Webbooting section.
  * Adding a section about webbooting.
  * Substituting 'amongst' for 'among' for the sake of using plain
    English.
  * Eliminating duplicity of the term 'Live System' merging them into one
    single definition.
  * Adding link to netboot images in the terms.
  * Fixing error in code block using 'components' instead of 'config'.
  * Using 'URL' for the fetch= parameter for coherence with the manpage
    and live-manual itself.
  * Fixing indentation of code block in about_manual.ssi.
  * Improve wording in the webbooting section.
  * Updating translation files from the English sources.
  * Updating about_manual.ssi, Spanish translation.

  [ victory ]
  * [manual:ja] Sync Japanese translations.

  [ chals ]
  * Updating Spanish translation of several files.
  * Updating Catalan translation of several files.
  * Extracting webboot files from an already existing iso image.
  * Using the midnight commander to extract the webboot files and upload
    them to the web server.
  * Preparing translation files to continue translation workflow.
  * Updating Spanish translation.
  * Updating Catalan translation.

  [ victory ]
  * Fix a typo.
  * Unfuzzy Spanish translation.
  * Unfuzzy Catalan translation.
  * Update translations other than ca, es and ja.
  * [manual:ja] Sync Japanese translations.

  [ chals ]
  * Improving the meaning of one sentence in user_basics.ssi.
  * Updating translation files of user_basics.ssi.
  * Updating Catalan translation of user_basics.ssi.
  * Updating Spanish translation of user_basics.ssi.

  [ victory ]
  * Unfuzzy Japanese translation.

  [ chals ]
  * Updating dates in live-manual.
  * Updating French translation.
  * Adding initial files for the Polish translation of live-manual, thanks
    to AreYouLoco? <areyouloco@paranoici.org>.
  * Adding Polish to index.html.
  * Updating Polish translation links to files, using 'pl' as two digit
    language code.

  [ Carlos Zuferri ]
  * Using 'debian' since it is a proper noun which should not be changed,
    Polish translation.



## live-manual 4.0.2

=== Makefile ===
--- 
+++ 
@@ -29,14 +29,31 @@
 all: build
 
 test:
-	@echo "Checking for syntax errors... [not implemented yet - FIXME]"
-	@echo "Checking for spelling errors... [not implemented yet - FIXME]"
+	@echo -n "Checking for syntax errors "
 
-	@echo "Checking the integrity of po files..."
-	for POFILE in manual/po/*/*; \
+	@for SCRIPT in $(shell ls manual/bin/*.sh); \
 	do \
-		msgfmt --check --output-file=/dev/null $${POFILE}; \
+		sh -n $${SCRIPT}; \
+		echo -n "."; \
 	done
+
+	@echo " done!"
+
+	@echo -n "Checking for bashisms "
+
+	@if [ -x /usr/bin/checkbashisms ]; \
+	then \
+		for SCRIPT in $(shell ls manual/bin/*.sh); \
+		do \
+			checkbashisms -f -x $${SCRIPT}; \
+			echo -n "."; \
+		done; \
+	else \
+		echo "WARNING: skipping bashism test - you need to install devscripts."; \
+	fi
+
+	@echo " done!"
+	@echo "To interactively check for spelling mistakes, you can run 'make spell'."
 
 tidy:
 	# Removing useless whitespaces at EOL
@@ -63,14 +80,6 @@
 		do \
 			cd $(CURDIR)/manual; \
 			sisu-$${FORMAT} --no-manifest --verbose $${LANGUAGE}/live-manual.ssm; \
-			if [ "$${FORMAT}" = "html" ] ; \
-			then \
-			    for FILE in ../build/manual/html/*.$${LANGUAGE}.html ../build/manual/html/live-manual/*.$${LANGUAGE}.html; \
-			    do \
-				    bin/fix-sisu-html.rb $${FILE}; \
-				    ([ $(DEBUG) -gt 0 ] || rm -f $${FILE}~); \
-			    done; \
-			fi ; \
 		done; \
 	done; \
 
@@ -89,15 +98,19 @@
 
 commit: tidy test
 	$(MAKE) -C manual rebuild
+	$(MAKE) info
 
+info:
+	@echo
+	@echo "live-manual is currently being translated into $(shell ls manual/po | wc -w) languages."
+	@echo "The translation of these languages is complete: $(shell manual/bin/show-complete-languages.sh)"
+	@echo "There are $(shell manual/bin/count-untranslated-strings.sh) untranslated strings. You can run 'make translate'."
+	
 	@if grep -qs fuzzy manual/po/*/*; \
 	then \
-		echo "" ; \
-		echo "There are $(shell grep -w 'fuzzy' manual/po/*/* | wc -l) fuzzy strings. You can run 'make fixfuzzy' to fix them." ; \
+		echo "There are $(shell grep -w 'fuzzy' manual/po/*/* | wc -l) fuzzy strings. You can run 'make fixfuzzy'." ; \
 	fi
-	@echo
-	@echo "There are $(shell manual/bin/count-untranslated-strings.sh) untranslated strings. You can run 'make translate' to find them." ; \
-
+	
 	@echo
 	@echo "You may now proceed...please do:"
 	@echo
@@ -137,3 +150,6 @@
 
 translate:
 	@./manual/bin/find-untranslated.sh
+
+spell:
+	@./manual/bin/check-spelling.sh

=== debian/changelog ===
live-manual (1:4.0.2-1) unstable; urgency=low

  [ AreYouLoco? ]
  * Updating several *.po files of Polish translation.

  [ Carlos Zuferri ]
  * Updating live-build version number to 4.0 in user_installation.ssi.
  * Correcting url to the online image builder.
  * Updating output of default lb config command.
  * Updating from wheezy to jessie in project_procedures.ssi.

  [ victory ]
  * Sync Japanese manual.

  [ Daniel Baumann ]
  * Dropping leftover reference to removed --mirror-chroot-backports.

  [ victory ]
  * Sync Japanese translation.

  [ Carlos Zuferri ]
  * Updating dates in live-manual.
  * Updating translation files from English texts.
  * Updating Spanish translation.
  * Updating Catalan translation.
  * Updating French translation.
  * Dropping references to 'rescue' images, using 'standard' instead where
    appropriate.

  [ victory ]
  * Sync Japanese manual.

  [ Carlos Zuferri ]
  * Updating dates in live-manual.
  * Updating translation files from the English texts.
  * Updating French translation.
  * Updating Catalan translation.
  * Updating Spanish translation.
  * Updating remaining codenames for jessie's release.
  * Updating translation files of live-manual.ssm.
  * Updating translations of live-manual.ssm*.

  [ victory ]
  * Unfuzzy Japanese manual.
  * Fix date and unfuzzy Japanese manual.

  [ Carlos Zuferri ]
  * Substituting older codenames for new ones in live-manual.ssm.
  * Modifying about_manual.ssi when referring to debian 8.0.
  * Updating about_manual.ssi* and live-manual.ssm* files for the
    translations.
  * Updating the translation of one string in the translations of
    about_manual.ssi* and live-manual.ssm*.

  [ victory ]
  * Unfuzzy Japanese po file.

  [ Carlos Zuferri ]
  * Removing request for version of Python from project_bugs for the time
    being.
  * Updating dates in live-manual.
  * Removing 'version of Python' string from current translations.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 10 Dec 2014 10:14:33 +0100

## live-manual 5.0~a1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-manual(7) - Documentation
-## Copyright (C) 2006-2014 Live Systems Project <debian-live@lists.debian.org>
+## Copyright (C) 2006-2015 Live Systems Project <debian-live@lists.debian.org>
 ##
 ## live-manual comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it

=== manual/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 update:
 	@./bin/update-version.sh
 
-build: po4a.cfg
+build: check po4a.cfg
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
@@ -51,3 +51,19 @@
 	rm -rf $(LANGUAGES)
 
 rebuild: distclean update build
+
+check:
+	@echo -n "Checking the integrity of .po files "
+
+	@if [ -x /usr/bin/msgfmt ]; \
+	then \
+		for POFILE in po/*/*; \
+		do \
+			msgfmt --check --output-file=/dev/null $${POFILE}; \
+			echo -n "."; \
+		done; \
+	else \
+		echo "WARNING: skipping po integrity check. You must install gettext."; \
+	fi
+	
+	@echo " done!"

=== debian/changelog ===
live-manual (1:5.0~a1-1) unstable; urgency=low

  * Updating list of live packages for stretch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 27 Apr 2015 07:36:01 +0200

live-manual (1:4.0.3-1) unstable; urgency=low

  [ Carlos Zuferri ]
  * Updating dates to 2015 globally.
  * Updating 'lb config' output example to 2015.
  * Updating user-overview.ssi* files from the English text.
  * Removing fuzzy strings from updated translations of user_overview.
  * Deleting redundant nickname from .po headers, Spanish translation.
  * Updating the kernel flavours chapter for jessie.
  * Revising the examples in respect to the selection of 486 kernel
    flavours, since they are defaults.
  * Updating dates in live-manual files.
  * Updating translation files from the English texts, the examples and
    user_customization-packages.
  * Updating Spanish translation.
  * Updating Catalan translation.
  * Improving punctuation in one sentence in the Spanish translation of
    user_customization-packages.
  * Updating French translation.

  [ victory ]
  * Unfuzzy Japanese manual.

  [ Carlos Zuferri ]
  * Removing reduntant 'lb config' command from tutorial 2.
  * Updating dates in live-manual files.
  * Updating translations of the examples.
  * Updating dates in live-manual files.
  * Dropping incomplete Italian translation.
  * Dropping incomplete Polish translation.
  * Updating several image sizes in the examples.
  * Updating to 586 kernel flavour.
  * Updating several translation files from the English texts.
  * Updating Catalan translation.
  * Updating Spanish translation.
  * Updating French translation.
  * Using commas for commenting fuzzy strings in user_customization-
    packages.ssi.po, Japanese translation.

  [ victory ]
  * Unfuzzy Japanese manual.

  [ Carlos Zuferri ]
  * Fixing typo in live-systems.org url.
  * Including the encrypted persistence chapter as a subtitle of the
    persistence one.
  * Updating dates in live-manual files.
  * Updating user_customization-runtime files from the original one.
  * Updating the translation of user_customization-runtime files.
  * Unfuzzying dates in translations.

  [ victory ]
  * Unfuzzy Japanese manual.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 25 Apr 2015 07:34:18 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  po4a,
  sisu-complete (>= 4.2.5-2),
 Build-Conflicts: locales-all
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://live-systems.org/devel/live-manual/
 Vcs-Browser: http://live-systems.org/gitweb/?p=live-manual.git
 Vcs-Git: git://live-systems.org/git/live-manual.git
